futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.CodeGen.ImpCode.Sequential

Description

Sequential imperative code.

Synopsis

- type Program = Definitions Sequential
- data Sequential
- module Futhark.CodeGen.ImpCode

# Documentation

type Program = Definitions Sequential Source #

An imperative program.

data Sequential Source #

Phantom type for identifying sequential imperative code.

#### Instances

Instances details

FreeIn Sequential Source # |
Instance details Defined in Futhark.CodeGen.ImpCode.Sequential Methods freeIn' :: Sequential -> FV Source #
Pretty Sequential Source # |
Instance details Defined in Futhark.CodeGen.ImpCode.Sequential Methods pretty :: Sequential -> Doc ann Source # prettyList :: [Sequential] -> Doc ann Source #

module Futhark.CodeGen.ImpCode